﻿
$ErrorActionPreference = 'Stop'; # stop on all errors
$packageName = 'classified-ads' 
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = 'https://github.com/operatornormal/classified-ads/raw/ea5a63b36cd4fea7abba678feadb7159bbf1b0c5/Classified-ads-Win32.exe' # download url

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe' 
  url           = $url

  #MSI
  silentArgs    = "/S" 
  validExitCodes= @(0, 3010, 1641)
  registryUninstallerKey = 'classified-ads' #ensure this is the value in the registry
  checksum      = '9123e7faaea4afee70fa37b533e92f276f1f68a2'
  checksumType  = 'sha1' #default is md5, can also be sha1
}

Install-ChocolateyPackage @packageArgs
